Message

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fenalco.entities
Class Message

    java.lang.Object
      com.fenalco.entities.Message

    public class Message

extends java.lang.Object

Esta clase representa la tabla mensaje de la base de datos y encapsula cada una de las operaciones que sobre esta se puedan realizar : inserción, actualización, eliminación, consulta

Author:
  Mario Linares Vásquez

Field Summary
`private int` | `id`
`private java.lang.String` | `message`

Constructor Summary
`Message()` Constructor por omisión de la clase.
`Message(int id)` Constructor que recibe el id del mensaje del sistema en la base de datos.

Method Summary
`boolean` | `delete(Transaction transaction)` Realiza una consulta SQL de tipo delete con el fin de eliminar el item de ayuda de la base de datos cuando se creo la instancia con el constructor que recibe el id como parámetro.Para eliminar los datos en la tabla ayuda debe construir una consulta SQL de tipo deletete y la adiciona a la transacción con el método `addSql`
`int` | `getId()` Consultor para el atributo id.
`java.lang.String` | `getMessage()` Consultor para el atributo message.
`boolean` | `loadData(int id)` Este método carga de la tabla mensaje de la base de datos todos los valores de los campos en los atributos de la clase, a través del método `query` de la clase `SQLUtilities`
`boolean` | `saveData(Transaction transaction)` Este método guarda los atributos del mensaje en la base de datos.
`void` | `setId(int id)` Modificador para el atributo id.
`void` | `setMessage(java.lang.String message)` Modificador para el atributo message.
`boolean` | `update(Transaction transaction)` Realiza una consulta SQL de tipo update con el fin de actualizar los campos del parámetro del sistema modificados a través de los métodos setter.Para actualizar los datos en la tabla parametros_sistema debe construir una consulta SQL de tipo update y la adiciona a la transacción con el método `addSql`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### id

    private int id

### message

    private java.lang.String message

Constructor Detail

### Message

    public Message()

  Constructor por omisión de la clase. Se debe usar para el caso de insertar un nuevo mensaje en la base de datos

### Message

    public Message(int id)

  Constructor que recibe el id del mensaje del sistema en la base de datos. Se debe usar en el caso de actualizaciones, borrado y consulta. Este constructor llama a la función miembro `loadData` con el parámetro id con el fin de cargar los datos propios del mensaje del sistema que residen en la base de datos. Al usar este constructor si se desea modificar el valor de algún campo se deben utilizar los métodos consultores (setter).

  Parameters:
    `id` - int que representa el id del mensaje del sistema en la base de datos

Method Detail

### loadData

    public boolean loadData(int id)

  Este método carga de la tabla mensaje de la base de datos todos los valores de los campos en los atributos de la clase, a través del método `query` de la clase `SQLUtilities`

  Parameters:
    `id` - identificador del item de ayuda del sistema
  Returns:
    boolean que representa el exito del proceso de carga de los datos

### saveData

    public boolean saveData(Transaction transaction)

  Este método guarda los atributos del mensaje en la base de datos. Se debe usar solo cuando se ha creado una instancia con el constructor por omisión. Para almacenar los datos en la tabla mensaje debe construir una consulta SQL de tipo insert y la adiciona a la transacción con el método `addSql`

  Parameters:
    `transaction` - la transacción que se está ejecutando
  Returns:
    boolean que representa el exito del proceso de inserción

### update

    public boolean update(Transaction transaction)

  Realiza una consulta SQL de tipo update con el fin de actualizar los campos del parámetro del sistema modificados a través de los métodos setter.Para actualizar los datos en la tabla parametros_sistema debe construir una consulta SQL de tipo update y la adiciona a la transacción con el método `addSql`

  Parameters:
    `transaction` - la transacción que se está ejecutando
  Returns:
    boolean que representa el exito del proceso de actualización

### delete

    public boolean delete(Transaction transaction)

  Realiza una consulta SQL de tipo delete con el fin de eliminar el item de ayuda de la base de datos cuando se creo la instancia con el constructor que recibe el id como parámetro.Para eliminar los datos en la tabla ayuda debe construir una consulta SQL de tipo deletete y la adiciona a la transacción con el método `addSql`

  Parameters:
    `transaction` - la transacción que se está ejecutando
  Returns:
    boolean que representa el exito del proceso de borrado

### getId

    public int getId()

  Consultor para el atributo id.

  Returns:
    Valor del atributo id.

### setId

    public void setId(int id)

  Modificador para el atributo id.

  Parameters:
    `id` - Nuevo valor del atributo id.

### getMessage

    public java.lang.String getMessage()

  Consultor para el atributo message.

  Returns:
    Valor del atributo message.

### setMessage

    public void setMessage(java.lang.String message)

  Modificador para el atributo message.

  Parameters:
    `message` - Nuevo valor del atributo message.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD